# $Revision: 1.13 $, $Date: 2012/03/25 15:32:22 $
%define		status		stable
%define		pearname	Net_Nmap
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - A simple wrapper class for the Nmap utility
Summary(pl.UTF-8):	%{pearname} - prosty wrapper dla programu nmap
Name:		php-pear-%{pearname}
Version:	1.0.4
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	7236414702f449a76a29d951dc7befee
URL:		http://pear.php.net/package/Net_Nmap/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	nmap
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.5.4
Requires:	php-pear-XML_Parser
Obsoletes:	php-pear-Net_Nmap-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_Nmap is a simple interface for Nmap, the free and open source
utility for network exploration or security auditing.

Net_Nmap can be used to auto discovery hosts and services in your
network or simply to parse Nmap XML output.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Net_Nmap to prosty interfejs do programu nmap, nardzędzia do analizy
ruchu i audytu bezpieczeństwa.

Net_Nmap może być użyty do wykrycia maszyn i usług w sieci lub do
analizy raportu XML z nmapa.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv ./usr/share/pear/data/Net_Nmap/examples .
# bug
mv ./%{php_pear_dir}/Net/Net/Nmap/Stats.php ./%{php_pear_dir}/Net/Nmap/Stats.php
mv ./usr/share/pear/data/Net_Nmap/docs/* docs
rmdir ./usr/share/pear/data/Net_Nmap/docs
mv ./usr/share/pear/data/Net_Nmap/* .
rmdir ./usr/share/pear/data/Net_Nmap

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/README
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/Nmap
%{php_pear_dir}/Net/Nmap.php
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Nmap.spec,v $
Revision 1.13  2012/03/25 15:32:22  glen
- up to 1.0.4

Revision 1.12  2011/03/01 06:28:51  glen
- release 3

Revision 1.11  2011/01/23 00:41:12  sparky
- dropped -tests

Revision 1.10  2010/08/22 08:51:18  glen
- ensure rpmbuild macros present

Revision 1.9  2010/08/21 19:08:14  glen
- updated deps with pearize.sh
- release 2

Revision 1.8  2010/08/20 23:27:46  glen
- up to 1.0.3

Revision 1.7  2010/08/20 13:04:25  glen
- updated to: 1.0.2

Revision 1.6  2009/02/01 18:07:57  adamg
- updated to 1.0.1

Revision 1.5  2008/10/14 07:24:17  adamg
- updated to 1.0.0
- path.fix applied upstream

Revision 1.4  2008-05-24 08:41:48  adamg
- release 2 (updated PEAR deps)

Revision 1.3  2008-05-23 19:59:03  adamg
- PEAR epoch

Revision 1.2  2008-05-23 19:51:54  adamg
- PEAR-core is enough

Revision 1.1  2008-05-18 09:44:32  adamg
- new
